.table-block {
  overflow-x: auto;
  width: 100%;
  padding: 2px;

  @include media("mtb") {
    display: none;
  }
}

.table {
  border-collapse: collapse;
  background: #fff;
  background: var(--default-bg-site);
  border-radius: 6px;
  max-width: 100%;
  width: 100%;
  border-collapse: collapse;
  border-style: hidden;
  box-shadow: 0 0 0 1px var(--grey);

  p {
    font-weight: 500;
  }

  &-thead {
    th {
      padding: 20px 8px;
      border-right: 1px solid var(--grey);
      background-color: #fff;
      font-size: 14px;
      font-weight: 600;
      text-align: left;
      cursor: pointer;
    }

    th:first-child {
      border-top-left-radius: 6px;
    }

    th:last-child {
      border-right: none;
      border-top-right-radius: 6px;
    }

    th:hover {
      background: var(--blue);
      color: #fff;

      svg path {
        fill: #fff;
      }
    }
  }

  &-arrow {
    display: flex;
    flex-direction: column;
    margin-left: 8px;

    svg {
      display: flex;
      transition: 0s;
    }
  }

  &-arrow--up {
    margin-bottom: 2px;
  }
  &-arrow--down {
    margin-top: 2px;
  }

  &-tbody {
    tr {
      border-top: 1px solid var(--grey);
    }

    tr:hover td {
      background-color: #f3f3f3;
      cursor: pointer;
    }

    td {
      padding: 8px;
      font-size: 14px;
      text-align: left;
      border-right: 1px solid var(--grey);
    }

    td:first-child {
      min-width: 190px;
    }

    td:last-child {
      border-right: none;
    }

    a {
      font-size: 14px;
      color: var(--blue);
      text-decoration: underline;
      @include media("mb") {
        font-size: 13px;
      }
    }

    a:hover {
      text-decoration: none;
    }

    &__logo {
      border: 1px solid #dedede;
      border: 1px solid var(--grey-9);
      border-radius: 13px 13px 13px 0;
      height: 21px;
      margin-bottom: 6px;
      margin-right: auto;
      padding: 2px 6px;
      width: 74px;

      img {
        height: 100%;
        object-fit: contain;
        width: 100%;
      }
    }

    &__star {
      margin-right: 5px;
    }

    span.table-tbody__rating {
      text-decoration: none;
      color: var(--grey-4);
      margin-left: 4px;
    }

    a.table-tbody__link {
      font-size: 14px;
      color: var(--blue);
      padding: 14px;
      text-decoration: none;
    }

    &__text {

      @include media("md") {
        font-size: 14px;
      }

      @include media("mb") {
        font-size: 13px;
      }
    }
  }

  a.table-tbody__link-black {
    color: #000;
    text-decoration: none;

    &:hover {
      color: var(--blue);
      text-decoration: underline;
    }
  }
}

.table-block--mobile {
  display: none;

  @include media("mtb") {
    display: flex;
  }
}

.table-mobile {
  th,
  td {
    width: 50%;
    text-align: center;
    padding: 20px 8px;
  }

  td {
    padding: 0;
  }

  .table-mobile--blue {
    background: #eaf4ff;
  }

  .table-tbody td:first-child {
    min-width: auto;
  }

  .table-tbody__borderTop {
    border-top: 1px solid var(--grey);
    width: 100%;
    padding-top: 10px;
  }

  .table-mobile--100 {
    height: 120px;
  }

  .table-mobile--90 {
    height: 90px;

    .table-tbody__item + .table-tbody__item {
      padding-top: 10px;
    }
  }

  .table-mobile--wrap {
    padding: 20px 8px;

    @include media("md") {
      padding: 10px 8px;
    }
    @include media("mb") {
      padding: 10px 6px;
    }
  }
}

.courses-table_sort {
  display: none;

  @include media("mtb") {
    display: block;
  }

  p {
    line-height: normal;
  }

  .select-input {
    margin-left: 8px;
  }
  button,
  span {
    font-size: 14px;
  }

  p {
    font-weight: 500;
  }

  .select-input__modal {
    @include media("mb") {
      min-width: 200px;
    }
  }
}
